Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementgetelementsbytagname Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementgetelementsbytagname (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getElementsByTagName(name)" method returns a list of all descendant Elements with the given tag name. Test for an empty list.

Create a NodeList of all the descendant elements using the string "noMatch" as the tagName. The method should return a NodeList whose length is "0" since there are not any descendant elements that match the given tag name.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1938918D

Definition at line 47 of file elementgetelementsbytagname.java.

## Constructor & Destructor Documentation

elementgetelementsbytagname::elementgetelementsbytagname | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file elementgetelementsbytagname.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String elementgetelementsbytagname::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 63 of file elementgetelementsbytagname.java.
    00063                                 {
    00064       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementgetelementsbytagname";
    00065    }

void elementgetelementsbytagname::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 66 of file elementgetelementsbytagname.java. References DOMTestCase::doMain().
    00066                                           {
    00067         DOMTestCase.doMain(elementgetelementsbytagname.class,args);
    00068    }

void elementgetelementsbytagname::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file elementgetelementsbytagname.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       NodeList elementList;
    00058       doc = load("staff");
    00059       elementList = doc.getElementsByTagName("employee");
    00060       assertSize("elementGetElementsByTagNameAssert",5,elementList);
    00061
    00062    }

The documentation for this class was generated from the following file:

- elementgetelementsbytagname.java